Expand AI logo
DocsAPI ReferenceAPI Reference
Glow Active
Login

API Reference

Getting Started

API ReferenceErrors

Endpoints

FetchFetch JSON ModeStart Batched FetchGet Batched StatusCancel Batched FetchSearchGet SearchGet CatalogGet NetworkSnapshot Highlights
Browse docs

Getting Started

API ReferenceErrors

Endpoints

FetchFetch JSON ModeStart Batched FetchGet Batched StatusCancel Batched FetchSearchGet SearchGet CatalogGet NetworkSnapshot Highlights

Start Batched Fetch

Start a Batched Fetch over multiple URLs using shared Fetch input and Include Options. Highlights is not supported for Batched Fetch requests.

Authorization

x-expand-api-key<token>

In: header

Header Parameters

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

POST
/v1/fetch/batched
x-idempotency-key?maxLength(255)

Optional caller-supplied key that prevents duplicate Batched Fetch runs across separate calls. When omitted, the API generates a unique key. Replaying an identical request with the same key returns the same run ID; reusing the key with a different payload returns a 409 response.

Length1 <= length <= 255
urls*array<string>
Items1 <= items
include?
browserConfig?
documentConfig?

application/json

application/json

application/json

application/json

application/json

application/json

application/json

{
  "id": "string"
}
{
  "issues": [
    {
      "_tag": "Pointer",
      "path": [
        "string"
      ],
      "message": "string"
    }
  ],
  "

{
  "reason": "InvalidApiKey",
  "description": "string",
  "_tag": "AuthFailed"
}
{
  "blockedUntil": "string",
  "retryable": false,
  "_tag": "AccessBlocked"
}
{
  "existingRunId": "string",
  "reason": "payload_mismatch",
  "_tag": "BatchedIdempotencyConflict"
}
{
  "_tag": "PayloadTooLarge"
}
{
  "retryable": true,
  "retryAfterSeconds": 0,
  "_tag": "TooManyRequests"
}
{
  "retryable": true,
  "_tag": "InternalError"
}
{
  "message": "string",
  "requestId": "string",
  "retryable": true,
  "_tag": "ServiceUnavailable"
}

List of URLs to fetch using shared options.

Specifies which content formats to include in the response

Configuration options for browser behavior during the fetch

Limits and conversion options applied to any URL in the batch that serves a non-HTML document

message
"
:
"string"
,
"_tag": "HttpApiDecodeError"
}